<?php

// In your theme's functions.php or equivalent
add_action('customize_controls_enqueue_scripts', function() {
    $version = wp_get_theme()->get('Version');
    
    // Define parameters
    $customizer_params = array(
        'some_key' => 'some_value', // Add your parameters here
    );
    
    wp_enqueue_script(
        'expert-construction-company-customize-section-button',
        get_theme_file_uri('assets/js/customize-controls.js'),
        ['customize-controls'],
        $version,
        true
    );

    wp_enqueue_style(
        'expert-construction-company-customize-section-button',
        get_theme_file_uri('assets/css/customize-controls.css'),
        ['customize-controls'],
        $version
    );

    wp_localize_script(
        'expert-construction-company-customize-section-button',
        'expert_construction_company_customizer_params',
        $customizer_params
    );
});


 /**
 * Enqueue scripts and styles.
 */
function expert_construction_company_scripts() {
	// Styles	 

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	
	wp_enqueue_style('expert-construction-company-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('expert-construction-company-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('expert-construction-company-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'expert-construction-company-style', get_stylesheet_uri() );


	wp_enqueue_style('expert-construction-company-main', get_stylesheet_uri(), array() );
		wp_style_add_data('expert-construction-company-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('expert-construction-company-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'expert_construction_company_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

}
add_action( 'wp_enqueue_scripts', 'expert_construction_company_scripts' );

// Function to enqueue custom CSS
function expert_construction_company_enqueue_custom_css() {

    $handle = 'expert-construction-company-style';

    // Get the generated custom CSS
    $expert_construction_company_custom_css = "";

    $expert_construction_company_blog_layouts = get_theme_mod(
        'expert_construction_company_blog_layout_option_setting',
        'Default'
    );

    if ($expert_construction_company_blog_layouts == 'Default') {

        $expert_construction_company_custom_css .= '.blog-item{';
        $expert_construction_company_custom_css .= 'text-align:center;';
        $expert_construction_company_custom_css .= '}';

    } elseif ($expert_construction_company_blog_layouts == 'Left') {

        $expert_construction_company_custom_css .= '.blog-item{';
        $expert_construction_company_custom_css .= 'text-align:left;';
        $expert_construction_company_custom_css .= '}';

    } elseif ($expert_construction_company_blog_layouts == 'Right') {

        $expert_construction_company_custom_css .= '.blog-item{';
        $expert_construction_company_custom_css .= 'text-align:right;';
        $expert_construction_company_custom_css .= '}';

    }



    // slider css
    $expert_construction_company_slider_setting =
        get_theme_mod(
            'expert_construction_company_slider_setting',
            false
        );

    if ($expert_construction_company_slider_setting == false) {

        $expert_construction_company_custom_css .=
        '.page-template-template-frontpage .lower-part{';
        $expert_construction_company_custom_css .=
        'position:static;';
        $expert_construction_company_custom_css .= '}';

    }



    // slider arrows css
    $expert_construction_company_slider_arrows =
        get_theme_mod(
            'expert_construction_company_slider_setting',
            false
        );

    if ($expert_construction_company_slider_arrows == false) {

        $expert_construction_company_custom_css .=
        '.page-template-template-frontpage .menubox{';
        $expert_construction_company_custom_css .=
        'position:static;';
        $expert_construction_company_custom_css .= '}';

    }



// ------------logo

    $expert_construction_company_site_title_font_size =
        get_theme_mod(
            'expert_construction_company_site_title_font_size',
            30
        );

    $expert_construction_company_custom_css .=
    '.logo h1 a, .logo p a{';
    $expert_construction_company_custom_css .=
    'font-size:' .
    esc_attr(
        $expert_construction_company_site_title_font_size
    ) .
    'px !important;';
    $expert_construction_company_custom_css .= '}';



    // Site Tagline Font Size

    $expert_construction_company_site_tagline_font_size =
        get_theme_mod(
            'expert_construction_company_site_tagline_font_size',
            15
        );

    $expert_construction_company_custom_css .=
    '.logo p{';
    $expert_construction_company_custom_css .=
    'font-size:' .
    esc_attr(
        $expert_construction_company_site_tagline_font_size
    ) .
    'px;';
    $expert_construction_company_custom_css .= '}';



    // logo title color

    $expert_construction_company_site_tagline_color =
        get_theme_mod(
            'expert_construction_company_site_tagline_color'
        );

    if (
        $expert_construction_company_site_tagline_color
        != false
    ) {

        $expert_construction_company_custom_css .=
        '.logo h1 a,
         .logo p a,
         .logo p.site-title a{';

        $expert_construction_company_custom_css .=
        'color:' .
        esc_attr(
            $expert_construction_company_site_tagline_color
        ) .
        ' !important;';

        $expert_construction_company_custom_css .= '}';

    }



    // tagline color

    $expert_construction_company_logo_tagline_color =
        get_theme_mod(
            'expert_construction_company_logo_tagline_color'
        );

    if (
        $expert_construction_company_logo_tagline_color
        != false
    ) {

        $expert_construction_company_custom_css .=
        'p.site-description{';

        $expert_construction_company_custom_css .=
        'color:' .
        esc_attr(
            $expert_construction_company_logo_tagline_color
        ) .
        ' !important;';

        $expert_construction_company_custom_css .= '}';

    }



// ---------- Scroll Top

    $expert_construction_company_scroll_top_bg_color =
        get_theme_mod(
            'expert_construction_company_scroll_top_bg_color',
            '#DB9A11'
        );

    $expert_construction_company_scroll_top_color =
        get_theme_mod(
            'expert_construction_company_scroll_top_color',
            '#fff'
        );

    if (
        $expert_construction_company_scroll_top_bg_color
        === '#DB9A11'
    ) {

        $expert_construction_company_scroll_top_bg_color =
            get_theme_mod(
                'expert_construction_company_dynamic_color_one'
            );

    }

    $expert_construction_company_custom_css .=
    '#scrolltop{';
    $expert_construction_company_custom_css .=
    'background-color:' .
    $expert_construction_company_scroll_top_bg_color .
    ';';
    $expert_construction_company_custom_css .= '}';

    $expert_construction_company_custom_css .=
    '#scrolltop span{';
    $expert_construction_company_custom_css .=
    'color:' .
    $expert_construction_company_scroll_top_color .
    ';';
    $expert_construction_company_custom_css .= '}';



// ---------- Preloader

    $expert_construction_company_preloader_bg_color =
        get_theme_mod(
            'expert_construction_company_preloader_bg_color',
            '#ffffff'
        );

    $expert_construction_company_preloader_color =
        get_theme_mod(
            'expert_construction_company_preloader_color',
            '#DB9A11'
        );

    if (
        $expert_construction_company_preloader_color
        === '#DB9A11'
    ) {

        $expert_construction_company_preloader_color =
            get_theme_mod(
                'expert_construction_company_dynamic_color_one'
            );

    }

    $expert_construction_company_custom_css .=
    '.loading{';
    $expert_construction_company_custom_css .=
    'background-color:' .
    $expert_construction_company_preloader_bg_color .
    ';';
    $expert_construction_company_custom_css .= '}';

    $expert_construction_company_custom_css .=
    '.loader{';
    $expert_construction_company_custom_css .=
    'border-color:' .
    $expert_construction_company_preloader_color .
    ';';
    $expert_construction_company_custom_css .=
    'color:' .
    $expert_construction_company_preloader_color .
    ';';
    $expert_construction_company_custom_css .= '}';



//  add only once
    wp_add_inline_style(
        $handle,
        $expert_construction_company_custom_css
    );

}

add_action(
    'wp_enqueue_scripts',
    'expert_construction_company_enqueue_custom_css'
);



// Hook the function to the 'wp_enqueue_scripts' action
add_action('wp_enqueue_scripts', 'expert_construction_company_enqueue_custom_css');